Skip to end of metadata
Go to start of metadata


Important Update Notes

Distribution Upgrade for Cryptshare Appliances: openSUSE 15.1 to 15.2

This Cryptshare version enables an upgrade of the underlying operating system. After the update to Cryptshare version 4.8.1 is finished, the Cryptshare Administration Interface will offer the possibility to initiate the upgrade process.


Please note that distribution upgrades are only available on Cryptshare Appliances


Read the distribution upgrade manual before upgrading

A distribution upgrade makes significant changes to the underlying operating system. It is strongly recommended that you read the documentation before starting the upgrade process: Distribution Upgrade

Incompatibility with unsupported Cryptshare products (Removal of Webservice Interfaces)

With the previous Cryptshare version deprecated web service interfaces have been discontinued. As a result, the following products are no longer compatible with this Cryptshare Server version. Before updating to this Cryptshare Server version please check if the following products are still in use and update them if necessary:

  • Cryptshare Java API Version 2.x
  • Cryptshare .NET API Version 3.x
  • Cryptshare Robot Version 1.x
  • Cryptshare for Office 365 & Outlook Version 2.6.2 and older
  • Cryptshare for Notes Version 2.9.x and older


If you are using one of the listed products, you will need to update these products to a supported version.


Language Packages

Due to structural changes in the language packages, all supported server language packages will be updated automatically, customized language packages will be removed during the update process (a backup is done before). If more language packages are needed, it is required to download and install them again.

Delta-File for changed passages

In case your language packages have been modified, the attached delta-file  delta_english_lp_4.7.1_to_4.8.1.txt can help you to locate the changes in this update and re-apply the modifications.

 Click here to see how the delta file for language packages is built.

Removed Files

Files listed in this section have been removed from the language package entirely.

--------------------------------------------------------------------
REMOVED FILES
--------------------------------------------------------------------
<files>
New Files

Files listed in this section have been added to the language package.

--------------------------------------------------------------------
NEW FILES
--------------------------------------------------------------------
<files>
Modified Files

Files listed in this section have been modified, which can be one of the following cases:

  • Keys have been removed
  • Keys have been added
  • Keys have been modified
--------------------------------------------------------------------
MODIFIED FILES
--------------------------------------------------------------------
-----------------------------------------------------------------
<path and file name>
-----------------------------------------------------------------
------------------
---Removed keys---
------------------
<keys>
--------------
---New keys---
--------------
<keys>
-------------------
---Modified keys---
-------------------
KEY: <affected key>
OLD: <former key & value>
NEW: <new key & value>

In case of a modification, the affected key, its old value and its new value is shown.

Additional Changes

  • Several minor libraries have been updated.

  • Introduced the possibility to perform an operating system upgrade from openSUSE 15.1 to 15.2.

  • Resolved an issue where archiving failed when using a Secure Copy Connector (SCP) along with public key authentication.

  • Resolved an issue where the server startup failed with licenses containing a very large number of licensed domains/email addresses.

  • Resolved an issue in the webservice interface preventing the retrieval of a transfer due to whitespaces in recipient email addresses.

  • Resolved an issue where the wrong download protection method was applied to Cryptshare support package transfers.

  • Resolved an issue in the telemetry with unlicensed products.

  • Resolved an issue where changes to the transfer size setting were not properly applied to Policies when resetting them.

  • Resolved a minor XSS vulnerability in the user interface - CVE-2021-3150, found by Rick Verdoes & Danny de Weille from HackDefense.

Table of Contents






  • No labels